# COPR Ligenix's spec file for glpi-plugin-uninstall
#
# Copyright (c) 2022-2023 Jean-Marc Liger
#
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global pluginname uninstall
%global glpi_min   9.5
%global glpi_max   9.6

Name:           glpi-plugin-%{pluginname}
Version:        2.7.3
Release:        1%{?dist}
Summary:        GLPI Plugin to archive easily assets which reached their end of life
Summary(fr):    Extension GLPI pour classer ou supprimer facilement et proprement les objets en fin de vie de votre parc


License:        GPLv2
URL:            https://github.com/pluginsGLPI/%{pluginname}

Source0:        https://github.com/pluginsGLPI/%{pluginname}/releases/download/%{version}/glpi-%{pluginname}-%{version}.tar.bz2

BuildArch:      noarch

%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:      (glpi >= %{glpi_min} with glpi < %{glpi_max})
%else
Requires:       glpi >= %{glpi_min}
Requires:       glpi <  %{glpi_max}
%endif


%description
This GLPI plugin let you to archive easily assets which reached their end of life.

%description -l fr
Cette extension GLPI vous permet de classer ou supprimer facilement et proprement les objets en fin de vie de votre parc.


%prep
%setup -q -c

grep 'define("PLUGIN_UNINSTALL_M.._GLPI' %{pluginname}/setup.php

# remove unused files
rm    %{pluginname}/%{pluginname}.xml
rm    %{pluginname}/composer.json
rm -r %{pluginname}/vendor

# move doc files
mkdir docs
mv %{pluginname}/README.md         docs/
mv %{pluginname}/screenshots/      docs/
mv %{pluginname}/%{pluginname}.gif docs/
mv %{pluginname}/glpi_network.png  docs/

# Create link to LICENSE for standard doc folder
ln -s %{_datadir}/glpi/plugins/%{pluginname}/LICENSE LICENSE


%build
# empty build


%install
mkdir -p %{buildroot}%{_localstatedir}/lib/glpi/files/_plugins/%{pluginname}

mkdir -p %{buildroot}/%{_datadir}/glpi/plugins
cp -ar %{pluginname} %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}

for i in %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}/locales/*
do
  lang=$(basename $i)
  echo "%lang(${lang:0:2}) %{_datadir}/glpi/plugins/%{pluginname}/locales/${lang}"
done | tee %{name}.lang


%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc docs/*
%dir %{_datadir}/glpi/plugins/%{pluginname}
%dir %{_datadir}/glpi/plugins/%{pluginname}/locales
# LICENSE file required by installation process
%{_datadir}/glpi/plugins/%{pluginname}/LICENSE
%{_datadir}/glpi/plugins/%{pluginname}/%{pluginname}.png
%{_datadir}/glpi/plugins/%{pluginname}/*.php
%{_datadir}/glpi/plugins/%{pluginname}/ajax
%{_datadir}/glpi/plugins/%{pluginname}/css
%{_datadir}/glpi/plugins/%{pluginname}/front
%{_datadir}/glpi/plugins/%{pluginname}/inc
# data
%attr(750,apache,root) %{_localstatedir}/lib/glpi/files/_plugins/%{pluginname}


%changelog
* Tue May 23 2023 Jean-Marc Liger <ligenix@iscp.fr> - 2.7.3-1
- Version 2.7.3 for GLPI 9.5.x
- Initial RPM based on Remi Collet previous GLPI plugins spec files
